# Uses of Interface
javax.help.HelpBroker

Packages that use HelpBroker
Package
Description
javax.help
Supports presentation of online documentation with both content and contextual views of this information.
javax.help.tagext

## Uses of HelpBroker in javax.help

Classes in javax.help that implement HelpBroker
Modifier and Type
Class
Description
`class`
`DefaultHelpBroker`
An implmentation of the HelpBroker interface
`class`
`ServletHelpBroker`
An implmentation of the HelpBroker interface for Servlets
Methods in javax.help that return HelpBroker
Modifier and Type
Method
Description
`HelpBroker`
HelpSet.`createHelpBroker()`
Creates a presentation object for this HelpSet.
`HelpBroker`
HelpSet.`createHelpBroker(String presentationName)`
Creates a presentation object for this HelpSet.
Constructors in javax.help with parameters of type HelpBroker
Modifier
Constructor
Description
``
`DisplayHelpAfterTracking(HelpBroker hb)`
``
`DisplayHelpFromFocus(HelpBroker hb)`
``
`DisplayHelpFromSource(HelpBroker hb)`

## Uses of HelpBroker in javax.help.tagext

Methods in javax.help.tagext with parameters of type HelpBroker
Modifier and Type
Method
Description
`void`
IndexItemTag.`setHelpBroker(HelpBroker hb)`
`void`
NavigatorsTag.`setHelpBroker(HelpBroker hb)`
`void`
SearchTOCItemTag.`setHelpBroker(HelpBroker hb)`
`void`
TOCItemTag.`setHelpBroker(HelpBroker hb)`
`void`
ValidateTag.`setHelpBroker(HelpBroker helpBroker)`